de.esprit.appsuite.nls

## Class RawDatabaseKey

- java.lang.Object
- - de.esprit.appsuite.nls.RawNlsKey
  - - de.esprit.appsuite.nls.RawDatabaseKey

- All Implemented Interfaces:
    NlsDatabaseKey, NlsKey, java.io.Serializable

      public class RawDatabaseKey
      extends RawNlsKey
      implements NlsDatabaseKey

  This class provides a way for untranslated fieldNames
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RawDatabaseKey()`
    `RawDatabaseKey(java.lang.String fieldName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.String fullColumnName)` Special equals method which compares with a full table.column name for convenience
    `java.lang.String` | `getColumnName()`
    `java.lang.String` | `getFullName()`
    `java.lang.String` | `getTableName()`

    - ### Methods inherited from class de.esprit.appsuite.nls.RawNlsKey

      `getAppKey, getSubKey, getText, getTipText, getTranslationKey, name, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsDatabaseKey

      `getTipText`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `getAppKey, getSubKey, getText, name`

- - ### Constructor Detail

    - #### RawDatabaseKey

          public RawDatabaseKey()

    - #### RawDatabaseKey

          public RawDatabaseKey(java.lang.String fieldName)

  - ### Method Detail

    - #### getTableName

          public java.lang.String getTableName()

      Specified by:
        `getTableName` in interface `NlsDatabaseKey`

    - #### getColumnName

          public java.lang.String getColumnName()

      Specified by:
        `getColumnName` in interface `NlsDatabaseKey`

    - #### getFullName

          public java.lang.String getFullName()

      Specified by:
        `getFullName` in interface `NlsDatabaseKey`

    - #### equals

          public boolean equals(java.lang.String fullColumnName)

      Special equals method which compares with a full table.column name for convenience
      Specified by:
        `equals` in interface `NlsDatabaseKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.